<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.gysl.mapper.PlanInformationMapper">


    <select id="selectAll" resultType="com.ruoyi.gysl.entity.PlanInformation">
        SELECT *
        FROM gysl_plan_information
        <where>
            <if test="req.xmId != null and req.xmId != ''">
                AND xm_id = #{req.xmId}
            </if>
        </where>
    </select>
</mapper>